#pragma once

#include <JGL/Color3.h>

namespace JGL
{
    class Color4 {
    public:
        explicit Color4(const Color3& color3, unsigned int alpha) {r = color3.r; g = color3.g; b = color3.b; a = alpha;}
        Color4(int red, int green, int blue, int alpha = 127) : r(red), g(green), b(blue), a(alpha) {}
        static Color4 FromColor3(const Color3& color3, unsigned int alpha = 127) {return Color4(color3, alpha);}
        int r;
        int g;
        int b;
        int a;
    };
}